/*
 * Copyright (C) 2007-2018 University of Stuttgart, IKR
 * 
 * This file is part of IKR SimLib, Java Edition, as available from
 * http://www.ikr.uni-stuttgart.de/IKRSimLib.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL) as published by the
 * Free Software Foundation, in version 2.1 as it comes in the file "COPYING" in
 * directory doc of IKR SimLib.
 * 
 * IKR SimLib is distributed in the hope that it will be useful, but without any
 * warranty of any kind. See the LGPL for details or contact the IKR if you need
 * additional information (http://www.ikr.uni-stuttgart.de).
 * 
 * Alternatively you may license IKR SimLib under a different (non-free)
 * license. Please contact the IKR for further details.
 */

package ikr.simlib.algorithms.queuingDisciplines;

import ikr.simlib.model.SimNode;
import ikr.simlib.parameters.Parameters;
import ikr.simlib.parameters.reflection.ReflectionConstructable;

/**
 * This class implements an unbounded FIFO (First In First Out) queuing
 * discipline, i.e., it has an infinite buffer size.
 */
public class UnboundedFIFOQDisc extends FIFOQDisc {

   /** as required by {@link ReflectionConstructable} */
   public static UnboundedFIFOQDisc createInstance(SimNode ownNode, Parameters pars) {
      return new UnboundedFIFOQDisc(ownNode, pars);
   }

   public UnboundedFIFOQDisc(SimNode ownNode) {
      super(ownNode);
   }

   public UnboundedFIFOQDisc(SimNode ownNode, Parameters pars) {
      super(ownNode);
   }
}
