/*
 * Copyright (C) 2007-2018 University of Stuttgart, IKR
 * 
 * This file is part of IKR SimLib, Java Edition, as available from
 * http://www.ikr.uni-stuttgart.de/IKRSimLib.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL) as published by the
 * Free Software Foundation, in version 2.1 as it comes in the file "COPYING" in
 * directory doc of IKR SimLib.
 * 
 * IKR SimLib is distributed in the hope that it will be useful, but without any
 * warranty of any kind. See the LGPL for details or contact the IKR if you need
 * additional information (http://www.ikr.uni-stuttgart.de).
 * 
 * Alternatively you may license IKR SimLib under a different (non-free)
 * license. Please contact the IKR for further details.
 */

/** 
 * <h1>Callbacks for State Transitions</h1>
 * <br>
 * The explicit division of the simulation in single phases by using different methods is done for a
purpose. Some classes (e.g. statistics) must perform actions at the beginning/end of phases/partial
phases like the initialization or reset of counters. For these purposes, there are the following
interfaces:<br><br>
- InitSimulationCallback<br>
- StartSimulationCallback<br>
- StartTransientPhaseCallback<br>
- StopTransientPhaseCallback<br>
- StartBatchCallback<br>
- StopBatchCallback<br>
- StopSimulationCallback<br>
<br>
All objects implementing one or more of these interfaces can be registered with the global
instance of the class SimulationControlManager. At the beginning/end of each phase/
partial phase, the respective functions callback methods will be called.
 */
package ikr.simlib.control.simulationcontrol.callbacks;