/*
 * Copyright (C) 2007-2018 University of Stuttgart, IKR
 * 
 * This file is part of IKR SimLib, Java Edition, as available from
 * http://www.ikr.uni-stuttgart.de/IKRSimLib.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL) as published by the
 * Free Software Foundation, in version 2.1 as it comes in the file "COPYING" in
 * directory doc of IKR SimLib.
 * 
 * IKR SimLib is distributed in the hope that it will be useful, but without any
 * warranty of any kind. See the LGPL for details or contact the IKR if you need
 * additional information (http://www.ikr.uni-stuttgart.de).
 * 
 * Alternatively you may license IKR SimLib under a different (non-free)
 * license. Please contact the IKR for further details.
 */

/** 
 * <h1>Generator architecture</h1>
 * <br>
 * Generators create messages and thus represent traffic sources. In order to provide for flexibility,
a 3-level architecture is implemented for generation of messages.<br>
At the top level, the so called <i>Generator</i> level, there are classes derived from the abstract class
{@link ikr.simlib.entities.generators.Generator}, which are connected to the other components of the simulation model using the
port concept. Subclasses of {@link ikr.simlib.factories.Factory} serve the generators at the level in the
middle. The bottom level is formed by the different kinds of messages which are generated by
the message factories.
 */
package ikr.simlib.entities.generators;