/*
 * Copyright (C) 2007-2015 University of Stuttgart, IKR
 * 
 * This file is part of IKR SimLib, Java Edition, as available from
 * http://www.ikr.uni-stuttgart.de/IKRSimLib.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL) as published by the
 * Free Software Foundation, in version 2.1 as it comes in the file "COPYING" in
 * directory doc of IKR SimLib.
 * 
 * IKR SimLib is distributed in the hope that it will be useful, but without any
 * warranty of any kind. See the LGPL for details or contact the IKR if you need
 * additional information (http://www.ikr.uni-stuttgart.de).
 * 
 * Alternatively you may license IKR SimLib under a different (non-free)
 * license. Please contact the IKR for further details.
 */

/**
 * <h1>Calendars</h1>
 * <p>
 * All calendars are derived from the abstract base class
 * {@link ikr.simlib.events.calendar.Calendar}. See there for further
 * information about the interface of the calendar.
 * <p>
 * The library provides the implementations
 * {@link ikr.simlib.events.calendar.StdOrderedCalendar},
 * {@link ikr.simlib.events.calendar.SimpleOrderedCalendar}, and
 * {@link ikr.simlib.events.calendar.OrderedTreeSetCalendar}. The
 * implementations use different data structures and do therefore have different
 * performance. See the respective classes for more information.
 * <p>
 * Generally, a simulation has a central calendar. The implementation to be used
 * can be specified on the command line, see
 * {@link ikr.simlib.control.SimulationEnvironment}.
 */

package ikr.simlib.events.calendar;