/*
 * Copyright (C) 2007-2014 University of Stuttgart, IKR
 * 
 * This file is part of IKR SimLib, Java Edition, as available from
 * http://www.ikr.uni-stuttgart.de/IKRSimLib.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL) as published by the
 * Free Software Foundation, in version 2.1 as it comes in the file "COPYING" in
 * directory doc of IKR SimLib.
 * 
 * IKR SimLib is distributed in the hope that it will be useful, but without any
 * warranty of any kind. See the LGPL for details or contact the IKR if you need
 * additional information (http://www.ikr.uni-stuttgart.de).
 * 
 * Alternatively you may license IKR SimLib under a different (non-free)
 * license. Please contact the IKR for further details.
 */

/**
 * <h1>Concept</h1> Meters represent tools that can be easily integrated into
 * the model in order to read and evaluate the flow of messages at various
 * points within the model.
 * <p>
 * One way of executing measurements on a model is to insert statistics classes
 * directly into each model component. For measurements performed on a given
 * interface between ports of a model component (e.g., transfer time between
 * input and output port of a model component), there are so-called meters that
 * only need to be "plugged in" to one or more ports.
 * 
 * <h1>Variants</h1>
 * {@link ikr.simlib.meters.OnePointMeter} and
 * {@link ikr.simlib.meters.TwoPointMeter}, respectively, are base classes for
 * meters that measure on one port, or between two ports.
 * 
 * @see ikr.simlib.meters.Meter
 */
package ikr.simlib.meters;