/*
 * Copyright (C) 2007-2018 University of Stuttgart, IKR
 * 
 * This file is part of IKR SimLib, Java Edition, as available from
 * http://www.ikr.uni-stuttgart.de/IKRSimLib.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL) as published by the
 * Free Software Foundation, in version 2.1 as it comes in the file "COPYING" in
 * directory doc of IKR SimLib.
 * 
 * IKR SimLib is distributed in the hope that it will be useful, but without any
 * warranty of any kind. See the LGPL for details or contact the IKR if you need
 * additional information (http://www.ikr.uni-stuttgart.de).
 * 
 * Alternatively you may license IKR SimLib under a different (non-free)
 * license. Please contact the IKR for further details.
 */

package ikr.simlib.result;

public interface ResultTaggable {
   /**
    * Adds a tag (keyword and value) to the output of this object in the final
    * results file. This can be used to write static, user-specific data to the
    * results file. To write, e.g. the unit of a statistic, call
    * <code>addResultTag(ResultKeywords.UNIT, "bytes")</code>.
    * 
    * @param keyword
    *           the key
    * @param value
    *           the value
    */
   public void addResultTag(ResultKeyword keyword, String value);
   
   public void addResultTag(String keyword, String value);

}
