/*
 * Copyright (C) 2007-2018 University of Stuttgart, IKR
 * 
 * This file is part of IKR SimLib, Java Edition, as available from
 * http://www.ikr.uni-stuttgart.de/IKRSimLib.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL) as published by the
 * Free Software Foundation, in version 2.1 as it comes in the file "COPYING" in
 * directory doc of IKR SimLib.
 * 
 * IKR SimLib is distributed in the hope that it will be useful, but without any
 * warranty of any kind. See the LGPL for details or contact the IKR if you need
 * additional information (http://www.ikr.uni-stuttgart.de).
 * 
 * Alternatively you may license IKR SimLib under a different (non-free)
 * license. Please contact the IKR for further details.
 */

package ikr.simlib.statistics.conditional;

import ikr.simlib.model.SimNode;
import ikr.simlib.result.ResultTaggable;
import ikr.simlib.statistics.UnweightedSampleCollector;
import ikr.simlib.statistics.support.BucketUtility;

public class ConditionalUnweightedSampleCollectorBase<K, V, S extends ResultTaggable & UnweightedSampleCollector<V>> extends ConditionalSampleCollectorBase<K, S> implements ConditionalUnweightedSampleCollector<K, V> {

   public ConditionalUnweightedSampleCollectorBase(SimNode ownNode, Class<K> keyClass, StatisticCreator<? extends S> statCreator, BucketUtility bucketUtility) {
      super(ownNode, keyClass, statCreator, bucketUtility);
   }

   public ConditionalUnweightedSampleCollectorBase(SimNode ownNode, Class<K> keyClass, StatisticCreator<? extends S> statCreator, int numBuckets) {
      super(ownNode, keyClass, statCreator, numBuckets);
   }

   public ConditionalUnweightedSampleCollectorBase(SimNode ownNode, Class<K> keyClass, StatisticCreator<? extends S> statCreator, Iterable<? extends K> keys, StatisticTagger<? super K, ? super S> tagger) {
      super(ownNode, keyClass, statCreator, keys, tagger);
   }

   @Override
   public void update(K key, V sample) {
      getStatistic(key).update(sample);
   }
}
